KSMBD.ADDUSER(8)

NAME
ksmbd.adduser - configure users for ksmbdpwd.db of ksmbd.mountd

SYNOPSIS
ksmbd.adduser [-v] [-P PWDDB] [-C CONF] [-a | -u | -d] [-p PWD] USER

DESCRIPTION
ksmbd.adduser configures users for ksmbdpwd.db(5) user database of ksmbd.mountd(8) user mode daemon. ksmbd.adduser can parse ksmbd.conf(5) configuration file so as to guard against deletion of users that are depended on. ksmbd.adduser notifies ksmbd.mountd of changes if it had made any.

OPTIONS

If neither -a, -u, nor -d is given, either add or update USER. USER must be UTF-8 and [1, 48) bytes. USER cannot contain colon (:).

-a, --add
    Add USER to user database.

-u, --update
    Update USER in user database.

-d, --delete
    Delete USER from user database.

-p, --password=PWD
    Use PWD as user password instead of prompting. PWD must be UTF-8 and [0, 129) bytes.

-P, --pwddb=PWDDB
    Use PWDDB as user database instead of /etc/ksmbd/ksmbdpwd.db.

-C, --config=CONF
    Use CONF as configuration file instead of /etc/ksmbd/ksmbd.conf.

-v, --verbose
    Be verbose.

-V, --version
    Output version information and exit.

-h, --help
    Display this help and exit.

EXIT STATUS
The exit status is 0 on success and 1 on failure. Failure to notify ksmbd.mountd of changes has no effect on exit status.

COPYRIGHT
Copyright © 2015-2022 ksmbd-tools contributors. License GPLv2: GNU GPL version 2 <https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
For bug reports, use the issue tracker at https://github.com/cifsd-team/ksmbd-tools/issues.

SEE ALSO

User Database
    ksmbdpwd.db(5)

Configuration File
    ksmbd.conf(5)

Utilities
    ksmbd.addshare(8), ksmbd.control(8), ksmbd.mountd(8)